package github.benjamin.equipreservebackend.controller;

import github.benjamin.equipreservebackend.response.ResponseResult;
import github.benjamin.equipreservebackend.service.RoleService;
import github.benjamin.equipreservebackend.vo.RoleVO;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/role")
@RequiredArgsConstructor
public class RoleController {

    private final RoleService roleService;
    @GetMapping
    public ResponseResult<List<RoleVO>> getRoles() {
        return ResponseResult.success(roleService.list().stream().map(RoleVO::new).toList());
    }

}
