package github.benjamin.equipreservebackend.service.impl;

import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import github.benjamin.equipreservebackend.entity.Team;
import github.benjamin.equipreservebackend.mapper.TeamMapper;
import github.benjamin.equipreservebackend.service.TeamService;
import github.benjamin.equipreservebackend.vo.TeamLabelVO;
import github.benjamin.equipreservebackend.vo.TeamVO;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@RequiredArgsConstructor
public class TeamServiceImpl implements TeamService {

    private final TeamMapper teamMapper;

    @Override
    public List<TeamLabelVO> getTeamLabel() {

        List<Team> teams = teamMapper.selectList(null);

        return teams.stream().map(TeamLabelVO::new).toList();
    }

    @Override
    public List<TeamVO> getTeams() {
        return teamMapper.getTeams();
    }

    @Override
    public void deleteTeam(Long id) {
        teamMapper.deleteById(id);
    }

    @Override
    public void addTeam(String name) {
        teamMapper.insert(new Team(name));
    }

    @Override
    public void updateTeam(Long id, String name) {
        teamMapper.update(new LambdaUpdateWrapper<Team>()
                .eq(Team::getId, id)
                .set(Team::getName, name));
    }
}
